#include "extensionIF.h"




EIF::EIF() {
    this->mutex.lock();
    for(uint8_t i = 0; i < EIF_maxExt; i++) {
        this->extensions[i].present = false;
        for(uint8_t j = 0; j < EIF_maxPods; j++) {
            this->extensions[i].pods[j].present = false;
            this->extensions[i].pods[j].powered = false;
            this->extensions[i].pods[j].sensorfail = false;
            this->extensions[i].pods[j].temp1 = 0;
            this->extensions[i].pods[j].temp2 = 0;
            this->extensions[i].pods[j].setpoint = 0;
            this->extensions[i].pods[j].heaterDC = 0;
        }
    } 

    this->mutex.unlock();
}