#include "mbed.h"
#include "rtos.h"
#include "extensionIF.h"
#include <ctype.h>

#ifndef __serialParser__
#define __serialParser__

#define SERIAL_RXBUFFLEN 255
#define SERIAL_SigRX 0x01

class SerialParser {
    private:
        void creceive(void);
        //void parserFunc(void const* args);
        
        char recBuff[SERIAL_RXBUFFLEN];
        char* recBuffCurrent;
        char Line[SERIAL_RXBUFFLEN];
        
        Thread* parser;
        static void parserThreadStarter(void const *p);
        void parserFunc();
        
        Thread* status;
        static void statusThreadStarter(void const *p);
        void statusFunc();
        
        EIF *eif;
    
    public:
        SerialParser(PinName tx, PinName rx, EIF *eif);
        
        Serial* serial;
};

#endif //__serialParser__